## org.biojava.bio.program.ssbind
Class AlphabetResolver

    java.lang.Object
      org.biojava.bio.program.ssbind.AlphabetResolver

    public class AlphabetResolver

extends Object

`AlphabetResolver`s are helpers which determine which type of sequence `Alphabet` to expect from a search result. Now public to allow use by anyone making custom handlers.

Since:
  1.2
Author:
  Keith James

Constructor Summary
`AlphabetResolver()`

Method Summary
`static FiniteAlphabet` `resolveAlphabet(String identifier)` `resolveAlphabet` returns an appropriate `Alphabet` for an arbitrary identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlphabetResolver

    public AlphabetResolver()

Method Detail

### resolveAlphabet

    public static FiniteAlphabet resolveAlphabet(String identifier)
                                          throws BioException

  `resolveAlphabet` returns an appropriate `Alphabet` for an arbitrary identifier. The protein alphabet returned will include the termination character as e.g. BLASTX 6-frame translations are likely to include stops.

  Parameters:
    `identifier` - a `String` identifier (recognised are BLASTN, BLASTP, BLASTX, TBLASTN, TBLASTX, DNA and PROTEIN).
  Returns:
    a `FiniteAlphabet`.
  Throws:
    `BioException` - if the identifier is not known.